Bug 840162 - Review Request: gkermit - A utility for transferring files using the Kermit protocol
Review Request: gkermit - A utility for transferring files using the Kermit p...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Scherer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-13 20:39 EDT by Eric Smith
Modified: 2014-09-23 23:47 EDT (History)
3 users (show)

See Also:
Fixed In Version: gkermit-1.00-16.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-01 14:26:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
misc: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Eric Smith 2012-07-13 20:39:15 EDT
Spec URL: http://fedorapeople.org/~brouhaha/gkermit/gkermit.spec
SRPM URL: http://fedorapeople.org/~brouhaha/gkermit/gkermit-1.00-10.fc17.src.rpm
Fedora Account System Username: brouhaha

Description: 
G-Kermit is a utility for file transfer using the Kermit protocol,
supporting text and binary transfers on 7-bit and 8-bit connections.
It is most useful as a remote endpoint; for a more fully-featured Kermit
program, use the ckermit package.

Note: This is based on an old Red Hat spec file from 2000-2001, of which the most recent version I could find was gkermit-1.0-9.  Note that the version number 1.0 was inccorect; it should have been 1.00.  I have fixed that, bumped the release to 10, updated the spec to modern Fedora packaging standards, and added patches to fix compilation warnings and errors due to missing includes of standard C library headers.

There has in the past been misinformation in RPM spec files regarding gkermit obsoleting ckermit or vice versa; neither actually obsoletes the other as they don't serve exactly the same purpose.  ckermit is a very full-featured terminal program especially well suited for use at the local endpoint, though it can be used for the remote endpoint as well.  gkermit is a more lightweight program especially well suited for use at the remote endpoint.
Comment 1 Michael Scherer 2012-07-22 06:38:17 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.


==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later) (with incorrect FSF address) GENERATED FILE", "GPL (v2
     or later) (with incorrect FSF address)" For detailed output of
     licensecheck see file:
     /home/misc/checkout/git/FedoraReview/840162-gkermit/licensecheck.txt
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[!]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source0 (gku100.tar.gz)
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Rpmlint
-------
Checking: gkermit-debuginfo-1.00-10.fc17.x86_64.rpm
          gkermit-1.00-10.fc17.src.rpm
          gkermit-1.00-10.fc17.x86_64.rpm
gkermit-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gkermit-1.00/gcmdline.c
gkermit-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gkermit-1.00/gkermit.h
gkermit.src: W: spelling-error %description -l en_US ckermit -> Kermit, mimicker
gkermit.x86_64: W: spelling-error %description -l en_US ckermit -> Kermit, mimicker
gkermit.x86_64: E: incorrect-fsf-address /usr/share/doc/gkermit-1.00/COPYING
3 packages and 0 specfiles checked; 3 errors, 2 warnings.


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:
Requires
--------
gkermit-debuginfo-1.00-10.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    

gkermit-1.00-10.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    
    libc.so.6()(64bit)  
    rtld(GNU_HASH)  

Provides
--------
gkermit-debuginfo-1.00-10.fc17.x86_64.rpm:
    
    gkermit-debuginfo = 1.00-10.fc17
    gkermit-debuginfo(x86-64) = 1.00-10.fc17

gkermit-1.00-10.fc17.x86_64.rpm:
    
    gkermit = 1.00-10.fc17
    gkermit(x86-64) = 1.00-10.fc17

MD5-sum check
-------------
ftp://kermit.columbia.edu/kermit/archives/gku100.tar.gz :
  MD5SUM this package     : aea4fa728b9981fce41c9f2c635f2e05
  MD5SUM upstream package : aea4fa728b9981fce41c9f2c635f2e05


Generated by fedora-review 0.2.0 (53cc903) last change: 2012-07-09
Command line :./try-fedora-review -b 840162
External plugins:


So the 2 only non blocking issues are :
- wrong fsf address ( i guess you need to notify upstream, if it exist )

- non documented patches. Since lack of documentation on patches is not blocking, i guess this one is good. ( also, i assume that upstream is dead, but can you still try to contact someone to have them incorporated ? )
Comment 2 Eric Smith 2012-07-22 14:29:08 EDT
Thanks for the review.  I've updated the SPEC and SRPM; aside from the version bump the only changes are the comments in the spec.

I had already notified upstream of the incorrect FSF address by email on July 14, after the previous spec and SRPM were uploaded.  Upstream confirmed by return email the same day that this will NOT be changed in the upstream distribution.

One patch is definitely Fedora-specific, so there is no chance of getting it upstream.  The other patch might not be Fedora-specific per se, but would cause compilation failures on systems with C compilers and libraries not compliant with the C standard, so it is ulikely to be accepted upstream.

I have added comments to the spec explaining the Fedora-specific patches and the incorrect FSF address.

Spec URL: http://fedorapeople.org/~brouhaha/gkermit/gkermit.spec
SRPM URL: http://fedorapeople.org/~brouhaha/gkermit/gkermit-1.00-11.fc17.src.rpm
Comment 3 Michael Scherer 2012-07-22 14:50:44 EDT
Ok.

But as I said, that were non blocking issues, so the package can be sent to git, fedora-review is set to '+' :)

I wonder why they do not want to change the address.
Comment 4 Eric Smith 2012-07-22 15:24:58 EDT
Oh, I hadn't noticed that you set the flag to "+". I'm used to seeing an "APPROVED" in the message. Thanks!

They don't want to change the address because they don't want to change anything.  I think if someone reported a security bug or other serious bug they might be willing to update the address.  Anyhow, at least they're aware of it now.

New Package SCM Request
=======================
Package Name: gkermit
Short Description: A utility for transferring files using the Kermit protocol
Owners: brouhaha
Branches: f17 el6
InitialCC:
Comment 5 Gwyn Ciesla 2012-07-22 15:49:02 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-07-22 17:03:18 EDT
gkermit-1.00-11.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gkermit-1.00-11.fc17
Comment 7 Fedora Update System 2012-07-22 17:19:04 EDT
gkermit-1.00-11.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/gkermit-1.00-11.el6
Comment 8 Fedora Update System 2012-07-23 16:19:18 EDT
gkermit-1.00-11.fc17 has been pushed to the Fedora 17 testing repository.
Comment 9 Fedora Update System 2012-08-01 14:26:04 EDT
gkermit-1.00-11.fc17 has been pushed to the Fedora 17 stable repository.
Comment 10 Fedora Update System 2012-08-10 14:39:32 EDT
gkermit-1.00-11.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 11 Fedora Update System 2014-08-30 18:59:56 EDT
gkermit-1.00-16.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/gkermit-1.00-16.el7
Comment 12 Fedora Update System 2014-09-23 23:47:13 EDT
gkermit-1.00-16.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.